@echo off
net session >nul 2>&1
if %errorlevel% neq 0 (
echo.
echo ATTENTION!!
echo This patcher needs Administrative priviledges to run!
echo Next time, right click the batch file and click
echo "Run as administrator"
echo.
echo This patcher will now close.
pause
goto :eof
)
cls
echo Version 0.14a
echo.
echo This activation patch was made possible because of the information 
echo provided by means of Beast_iND's activator/patcher and based on the
echo information provided by microbolt.
echo.
echo All thanks therefore go to them.
echo.
echo This patch should only be a temporary solution until Beast_iND
echo releases a newer version of his patcher that includes support for
echo Quickbooks 2013, I personally still prefer his patcher, as his patcher
echo is comprehensive, as it also supports older versions of Quickbooks.
echo.
echo dechronic
echo.
pause
cls
echo This patcher should work for Quickbooks 2013, Quickbooks Enterprise 13.0
echo and Point of Sale 2013.
echo.
echo.
echo ==Stage 1== Now attempting to close any running Quickbooks processes...
pause
"%systemroot%\system32\taskkill.exe" /fi "imagename eq qb*" /f /t
"%systemroot%\system32\taskkill.exe" /fi "imagename eq intuit*" /f /t
patchstart


:patchstart
if not exist "%systemroot%\Microsoft.NET\assembly\GAC_MSIL\Intuit.Spc.Map.EntitlementClient.Common\v4.0_8.0.0.0__5dc4fe72edbcacf5\Intuit.Spc.Map.EntitlementClient.Common.dll" (
cls
echo The entitlement file was not found
echo The patch cannot be completed.
echo Make sure that a Quickbooks 2013 product is installed.
echo The patch will now end.
pause
goto :eof
) else (
ren "%systemroot%\Microsoft.NET\assembly\GAC_MSIL\Intuit.Spc.Map.EntitlementClient.Common\v4.0_8.0.0.0__5dc4fe72edbcacf5\Intuit.Spc.Map.EntitlementClient.Common.dll" "Intuit.Spc.Map.EntitlementClient.Common.dll.bak"
)
copy /v /y /z "%~dp0Intuit.Spc.Map.EntitlementClient.Common.dll" "%systemroot%\Microsoft.NET\assembly\GAC_MSIL\Intuit.Spc.Map.EntitlementClient.Common\v4.0_8.0.0.0__5dc4fe72edbcacf5\Intuit.Spc.Map.EntitlementClient.Common.dll"
net start "Intuit Entitlement Service v8"
net start "QBPOSDBServiceV11"
cls
echo ==Stage 2==
echo NOTICE!!! The patched file should now be in place.
echo Follow the steps below to activate Quickbooks 2013 Products.
echo.
echo.
echo 1. Open Quickbooks
echo 2. Click "Help" then "Registration"
echo 3. Click Register by phone now
echo 4. Enter the code 99999930 - the same code as in Beast_iND's activator
echo 5. Click Next
echo 6. Click Finish
echo 7. For Point of Sale Multistore, do not press any key, refer to Step 21 in Instructions.txt
echo 8. Once completed 21 - 35, then continue (press any key)
pause
"%systemroot%\system32\taskkill.exe" /fi "imagename eq qb*" /f /t
"%systemroot%\system32\taskkill.exe" /fi "imagename eq intuit*" /f /t
copy /v /y /z "%systemroot%\Microsoft.NET\assembly\GAC_MSIL\Intuit.Spc.Map.EntitlementClient.Common\v4.0_8.0.0.0__5dc4fe72edbcacf5\Intuit.Spc.Map.EntitlementClient.Common.dll.bak" "%systemroot%\Microsoft.NET\assembly\GAC_MSIL\Intuit.Spc.Map.EntitlementClient.Common\v4.0_8.0.0.0__5dc4fe72edbcacf5\Intuit.Spc.Map.EntitlementClient.Common.dll"
fc "%systemroot%\Microsoft.NET\assembly\GAC_MSIL\Intuit.Spc.Map.EntitlementClient.Common\v4.0_8.0.0.0__5dc4fe72edbcacf5\Intuit.Spc.Map.EntitlementClient.Common.dll" "%systemroot%\Microsoft.NET\assembly\GAC_MSIL\Intuit.Spc.Map.EntitlementClient.Common\v4.0_8.0.0.0__5dc4fe72edbcacf5\Intuit.Spc.Map.EntitlementClient.Common.dll.bak" > nul
if %errorlevel% equ 1 (
cls
echo ==Stage 3== WARNING! The original file was not restored. Please make sure that any
echo Quickbooks programs are closed as was instructed in step 9.
echo When they are closed delete the Intuit.Spc.Map.EntitlementClient.Common.dll file
echo and rename the Intuit.Spc.Map.EntitlementClient.Common.dll.bak back to 
echo Intuit.Spc.Map.EntitlementClient.Common.dll.
echo This can be done when the Windows Explorer window opens.
echo.
echo This patcher will close upon opening Windows Explorer.
pause
"%systemroot%\explorer.exe" "%systemroot%\Microsoft.NET\assembly\GAC_MSIL\Intuit.Spc.Map.EntitlementClient.Common\v4.0_8.0.0.0__5dc4fe72edbcacf5"
goto :eof
) else (
cls
echo ==Stage 3== The original file has been restored!
echo.
echo The patcher will now close.
pause
del /q /f /a "%systemroot%\Microsoft.NET\assembly\GAC_MSIL\Intuit.Spc.Map.EntitlementClient.Common\v4.0_8.0.0.0__5dc4fe72edbcacf5"\Intuit.Spc.Map.EntitlementClient.Common.dll.bak"
goto :eof
)